<?php
// $Id: dokeos.admin.inc,v 1.1.4.4 2009/05/18 00:54:01 marvil07 Exp $

/**
 * @file
 * Module settings UI.
 */


function dokeos_admin_settings() {
  /**
   * Space construct aditional variables, do validation etc.
   */
  return drupal_get_form('dokeos_admin_settings_form');
}

function dokeos_admin_settings_form() {
  $form['dokeos_server'] = array(
    '#type' => 'textfield',
    '#title' => t('Application URL and Path'),
    '#description' => t('NOTICE: Do NOT use trailing slash nor http://. i.e: yourdokeossite.com'),
    '#default_value' => variable_get('dokeos_server', ''),
  );

  $form['dokeos_user'] = array(
    '#type' => 'textfield',
    '#title' => t('Username'),
    '#description' => t('User ID (example: user1).'),
    '#default_value' => variable_get('dokeos_user', ''),
  );
  $form['account']['dokeos_appkey'] = array(
    '#type' => 'textfield',
    '#title' => t('Security Key'),
    '#default_value' => variable_get('dokeos_appkey', ''),
  );
  return system_settings_form($form);
}

